---
title: WebGLRenderingContext.checkFramebufferStatus()
slug: Web/API/WebGLRenderingContext/checkFramebufferStatus
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGLRenderingContext
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGLRenderingContext.checkFramebufferStatus()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> returns the completeness status of the {{domxref("WebGLFramebuffer")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">GLenum <var>gl</var>.checkFramebufferStatus(<var>target</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>target</dt>
 <dd>A {{domxref("GLenum")}} specifying the binding point (target). Possible values:
 <ul>
  <li><code>gl.FRAMEBUFFER</code>: Collection buffer data storage of color, alpha, depth and stencil buffers used to render an image.</li>
  <li>When using a {{domxref("WebGL2RenderingContext", "WebGL 2 context", "", 1)}}, the following values are available additionally:
   <ul>
    <li><code>gl.DRAW_FRAMEBUFFER</code>: Equivalent to <code>gl.FRAMEBUFFER</code>. Used as a destination for drawing, rendering, clearing, and writing operations.</li>
    <li><code>gl.READ_FRAMEBUFFER</code>: Used as a source for reading operations.</li>
   </ul>
  </li>
 </ul>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("GLenum")}} indicating the completeness status of the framebuffer or <code>0</code> if an error occurs. Possible enum return values:</p>

<ul>
 <li><code>gl.FRAMEBUFFER_COMPLETE</code>: The framebuffer is ready to display.</li>
 <li><code>gl.FRAMEBUFFER_INCOMPLETE_ATTACHMENT</code>: The attachment types are mismatched or not all framebuffer attachment points are framebuffer attachment complete.</li>
 <li><code>gl.FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT</code>: There is no attachment.</li>
 <li><code>gl.FRAMEBUFFER_INCOMPLETE_DIMENSIONS</code>: Height and width of the attachment are not the same.</li>
 <li><code>gl.FRAMEBUFFER_UNSUPPORTED</code>: The format of the attachment is not supported or if depth and stencil attachments are not the same renderbuffer.</li>
 <li>When using a {{domxref("WebGL2RenderingContext", "WebGL 2 context", "", 1)}}, the following values can be returned additionally:
  <ul>
   <li><code>gl.FRAMEBUFFER_INCOMPLETE_MULTISAMPLE</code>: The values of <code>gl.RENDERBUFFER_SAMPLES</code> are different among attached renderbuffers, or are non-zero if the attached images are a mix of renderbuffers and textures.</li>
  </ul>
 </li>
 <li>When using the {{domxref("OVR_multiview2")}} extension, the following value can be returned additionally:
  <ul>
   <li><code>ext.FRAMEBUFFER_INCOMPLETE_VIEW_TARGETS_OVR</code>: If <code>baseViewIndex</code> is not the same for all framebuffer attachment points where the value of <code>FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE</code> is not <code>NONE</code>, the framebuffer is considered incomplete.</li>
  </ul>
 </li>
</ul>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var canvas = document.getElementById('canvas');
var gl = canvas.getContext('webgl');
var framebuffer = gl.createFramebuffer();

// ...

gl.checkFramebufferStatus(gl.FRAMEBUFFER);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL', "#5.14.6", "checkFramebufferStatus")}}</td>
   <td>{{Spec2('WebGL')}}</td>
   <td>Initial definition for WebGL.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 2.0', "glCheckFramebufferStatus.xml", "glCheckFramebufferStatus")}}</td>
   <td>{{Spec2('OpenGL ES 2.0')}}</td>
   <td>Man page of the OpenGL API.</td>
  </tr>
  <tr>
   <td>{{SpecName('WebGL2', "#3.7.4", "checkFramebufferStatus")}}</td>
   <td>{{Spec2('WebGL2')}}</td>
   <td>Updated definition for WebGL 2.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 3.0', "glCheckFramebufferStatus.xhtml", "glCheckFramebufferStatus")}}</td>
   <td>{{Spec2('OpenGL ES 3.0')}}</td>
   <td>Man page of the (similar) OpenGL ES 3 API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLRenderingContext.checkFramebufferStatus")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.createFramebuffer()")}}</li>
 <li>{{domxref("WebGLRenderingContext.deleteFramebuffer()")}}</li>
 <li>{{domxref("WebGLRenderingContext.isFramebuffer()")}}</li>
 <li>Other buffers: {{domxref("WebGLBuffer")}}, {{domxref("WebGLRenderbuffer")}}</li>
</ul>
